using System.Windows.Forms;
using FizzyLauncher.Models;
using RyzStudio.Windows.Forms;
using RyzStudio.Windows.ThemedForms;

namespace FizzyLauncher
{
    public class NewForm : TDialog
    {
        private System.Windows.Forms.Label label1;
        private ThButton button1;
        private ThNumericBox numericBox1;
        private ThNumericBox numericBox2;
        private Label label2;
        private RyzStudio.Windows.Forms.THorizontalSeparator tHorizontalSeparator1;


        public NewForm()
        {
            InitializeComponent();

            this.OkButton = button1;

            numericBox1.Minimum = 4;
            numericBox1.Maximum = 24;
            numericBox1.Value = 8;
            numericBox2.Minimum = 1;
            numericBox2.Maximum = 8;
            numericBox2.Value = 1;
        }

        private void InitializeComponent()
        {
            label1 = new Label();
            button1 = new ThButton();
            tHorizontalSeparator1 = new THorizontalSeparator();
            numericBox1 = new ThNumericBox();
            numericBox2 = new ThNumericBox();
            label2 = new Label();
            SuspendLayout();
            //
            // label1
            //
            label1.AutoSize = true;
            label1.BackColor = System.Drawing.Color.Transparent;
            label1.ForeColor = System.Drawing.SystemColors.ControlText;
            label1.Location = new System.Drawing.Point(10, 21);
            label1.Margin = new Padding(0);
            label1.Name = "label1";
            label1.Padding = new Padding(0, 9, 0, 10);
            label1.Size = new System.Drawing.Size(76, 34);
            label1.TabIndex = 153;
            label1.Text = "Tiles Per Row";
            label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            //
            // button1
            //
            button1.AcceptButton = null;
            button1.ActiveImage = null;
            button1.Anchor = AnchorStyles.Bottom | AnchorStyles.Right;
            button1.BackColor = System.Drawing.Color.Transparent;
            button1.EnableMenuOnClick = false;
            button1.EnableReactiveVisual = true;
            button1.HoverImage = null;
            button1.IdleImage = null;
            button1.LabelText = "&Save";
            button1.Location = new System.Drawing.Point(241, 369);
            button1.Margin = new Padding(10, 10, 10, 0);
            button1.Name = "button1";
            button1.Padding = new Padding(4, 4, 3, 3);
            button1.Size = new System.Drawing.Size(128, 32);
            button1.TabIndex = 173;
            button1.TabStop = false;
            //
            // tHorizontalSeparator1
            //
            tHorizontalSeparator1.Anchor = AnchorStyles.Bottom | AnchorStyles.Left | AnchorStyles.Right;
            tHorizontalSeparator1.AutoScrollMargin = new System.Drawing.Size(0, 0);
            tHorizontalSeparator1.AutoScrollMinSize = new System.Drawing.Size(0, 0);
            tHorizontalSeparator1.BackColor = System.Drawing.Color.Transparent;
            tHorizontalSeparator1.Location = new System.Drawing.Point(10, 337);
            tHorizontalSeparator1.Margin = new Padding(0, 10, 0, 0);
            tHorizontalSeparator1.MaximumSize = new System.Drawing.Size(4920, 2);
            tHorizontalSeparator1.MinimumSize = new System.Drawing.Size(0, 22);
            tHorizontalSeparator1.Name = "tHorizontalSeparator1";
            tHorizontalSeparator1.Size = new System.Drawing.Size(364, 22);
            tHorizontalSeparator1.TabIndex = 188;
            tHorizontalSeparator1.TabStop = false;
            //
            // numericBox1
            //
            numericBox1.AcceptButton = null;
            numericBox1.Anchor = AnchorStyles.Top | AnchorStyles.Right;
            numericBox1.BackColor = System.Drawing.Color.Transparent;
            numericBox1.EnableReactiveVisual = true;
            numericBox1.Font = new System.Drawing.Font("Segoe UI", 9F);
            numericBox1.Location = new System.Drawing.Point(285, 20);
            numericBox1.Margin = new Padding(10, 10, 10, 0);
            numericBox1.Maximum = 100;
            numericBox1.Minimum = 1;
            numericBox1.Name = "numericBox1";
            numericBox1.Padding = new Padding(4, 4, 3, 3);
            numericBox1.Size = new System.Drawing.Size(84, 32);
            numericBox1.TabIndex = 189;
            numericBox1.TabStop = false;
            numericBox1.Value = 1;
            //
            // numericBox2
            //
            numericBox2.AcceptButton = null;
            numericBox2.Anchor = AnchorStyles.Top | AnchorStyles.Right;
            numericBox2.BackColor = System.Drawing.Color.Transparent;
            numericBox2.EnableReactiveVisual = true;
            numericBox2.Font = new System.Drawing.Font("Segoe UI", 9F);
            numericBox2.Location = new System.Drawing.Point(285, 62);
            numericBox2.Margin = new Padding(10, 10, 10, 0);
            numericBox2.Maximum = 100;
            numericBox2.Minimum = 1;
            numericBox2.Name = "numericBox2";
            numericBox2.Padding = new Padding(4, 4, 3, 3);
            numericBox2.Size = new System.Drawing.Size(84, 32);
            numericBox2.TabIndex = 191;
            numericBox2.TabStop = false;
            numericBox2.Value = 1;
            //
            // label2
            //
            label2.AutoSize = true;
            label2.BackColor = System.Drawing.Color.Transparent;
            label2.ForeColor = System.Drawing.SystemColors.ControlText;
            label2.Location = new System.Drawing.Point(10, 63);
            label2.Margin = new Padding(0);
            label2.Name = "label2";
            label2.Padding = new Padding(0, 9, 0, 10);
            label2.Size = new System.Drawing.Size(106, 34);
            label2.TabIndex = 190;
            label2.Text = "Number of Groups";
            label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            //
            // NewForm
            //
            AutoScaleDimensions = new System.Drawing.SizeF(7F, 15F);
            AutoScaleMode = AutoScaleMode.Font;
            ClientSize = new System.Drawing.Size(384, 421);
            Controls.Add(numericBox2);
            Controls.Add(label2);
            Controls.Add(numericBox1);
            Controls.Add(tHorizontalSeparator1);
            Controls.Add(button1);
            Controls.Add(label1);
            MinimumSize = new System.Drawing.Size(400, 200);
            Name = "NewForm";
            Text = "New";
            ResumeLayout(false);
            PerformLayout();
        }


        public NewFormModel Result
        {
            get => new NewFormModel()
            {
                ColumnCount = numericBox1.Value,
                GroupCount = numericBox2.Value
            };
        }

    }
}